Reminders

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE

List all reminders

Required API key scopes

user:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/reminders
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

List all reminders

Required API key scopes

user:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/reminders
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create reminders

Required API key scopes

user:write

Request parameters

  • organization
    string
  • team
    integernull
  • title
    string
  • message
    string
  • resource_type
    stringnull
  • resource_id
    stringnull
  • scheduled_at
    stringnull
  • recurrence_interval
  • cron_expression
    stringnull
  • timezone
    string
  • end_date
    stringnull

Response


Example request

POST /api/reminders
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/\
-d organization="string",\
-d title="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create reminders

Required API key scopes

user:write

Request parameters

  • organization
    string
  • team
    integernull
  • title
    string
  • message
    string
  • resource_type
    stringnull
  • resource_id
    stringnull
  • scheduled_at
    stringnull
  • recurrence_interval
  • cron_expression
    stringnull
  • timezone
    string
  • end_date
    stringnull

Response


Example request

POST /api/reminders
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/\
-d organization="string",\
-d title="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve reminders

Required API key scopes

user:read

Path parameters

  • id
    string

Response


Example request

GET /api/reminders/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve reminders

Required API key scopes

user:read

Path parameters

  • id
    string

Response


Example request

GET /api/reminders/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update reminders

Required API key scopes

user:write

Path parameters

  • id
    string

Request parameters

  • organization
    string
  • team
    integernull
  • title
    string
  • message
    string
  • resource_type
    stringnull
  • resource_id
    stringnull
  • scheduled_at
    stringnull
  • recurrence_interval
  • cron_expression
    stringnull
  • timezone
    string
  • end_date
    stringnull

Response


Example request

PATCH /api/reminders/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/:id/\
-d organization="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update reminders

Required API key scopes

user:write

Path parameters

  • id
    string

Request parameters

  • organization
    string
  • team
    integernull
  • title
    string
  • message
    string
  • resource_type
    stringnull
  • resource_id
    stringnull
  • scheduled_at
    stringnull
  • recurrence_interval
  • cron_expression
    stringnull
  • timezone
    string
  • end_date
    stringnull

Response


Example request

PATCH /api/reminders/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/:id/\
-d organization="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization": "452c1a86-a0af-475b-b03f-724878b0f387",
"team": 0,
"title": "string",
"message": "string",
"resource_type": "string",
"resource_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"recurrence_interval": "daily",
"cron_expression": "string",
"timezone": "string",
"end_date": "2019-08-24T14:15:22Z",
"next_fire_at": "2019-08-24T14:15:22Z",
"last_fired_at": "2019-08-24T14:15:22Z",
"status": "active",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Delete reminders

Required API key scopes

user:write

Path parameters

  • id
    string

Example request

DELETE /api/reminders/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/:id/

Example response

Status 204 No response body

Delete reminders

Required API key scopes

user:write

Path parameters

  • id
    string

Example request

DELETE /api/reminders/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/reminders/:id/

Example response

Status 204 No response body

Community questions

Questions about this page? or post a community question.